<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>CombinedBuilderParameters (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CombinedBuilderParameters (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CombinedBuilderParameters.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html" title="class in org.apache.commons.configuration2.builder.fluent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" target="_top">Frames</a></li>
<li><a href="CombinedBuilderParameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder.fluent</div>
<h2 title="Interface CombinedBuilderParameters" class="title">Interface CombinedBuilderParameters</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a>&gt;, <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder.combined">CombinedBuilderProperties</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">CombinedBuilderParameters</span>
extends <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a>&gt;, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder.combined">CombinedBuilderProperties</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" title="interface in org.apache.commons.configuration2.builder.fluent">CombinedBuilderParameters</a>&gt;, <a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></pre>
<div class="block"><p>
 Definition of a parameters interface providing a fluent API for setting all
 properties of a builder for a combined configuration.
 </p>
 <p>
 <strong>Important note:</strong> This interface is not intended to be
 implemented by client code! It defines a set of available properties and may
 be extended even in minor releases.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: CombinedBuilderParameters.java 1624757 2014-09-13 15:47:43Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.builder.BuilderParameters">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#RESERVED_PARAMETER_PREFIX">RESERVED_PARAMETER_PREFIX</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.BasicBuilderProperties">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">setBeanHelper</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.combined.CombinedBuilderProperties">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.builder.combined.<a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder.combined">CombinedBuilderProperties</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#registerChildDefaultsHandler-java.lang.Class-org.apache.commons.configuration2.builder.DefaultParametersHandler-">registerChildDefaultsHandler</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#registerChildDefaultsHandler-java.lang.Class-org.apache.commons.configuration2.builder.DefaultParametersHandler-java.lang.Class-">registerChildDefaultsHandler</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#registerProvider-java.lang.String-org.apache.commons.configuration2.builder.combined.ConfigurationBuilderProvider-">registerProvider</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#setBasePath-java.lang.String-">setBasePath</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#setChildDefaultParametersManager-org.apache.commons.configuration2.builder.DefaultParametersManager-">setChildDefaultParametersManager</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#setDefinitionBuilder-org.apache.commons.configuration2.builder.ConfigurationBuilder-">setDefinitionBuilder</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#setDefinitionBuilderParameters-org.apache.commons.configuration2.builder.BuilderParameters-">setDefinitionBuilderParameters</a>, <a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedBuilderProperties.html#setInheritSettings-boolean-">setInheritSettings</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.BuilderParameters">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#getParameters--">getParameters</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CombinedBuilderParameters.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/fluent/Configurations.html" title="class in org.apache.commons.configuration2.builder.fluent"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/fluent/CombinedBuilderParameters.html" target="_top">Frames</a></li>
<li><a href="CombinedBuilderParameters.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
